Bug 594839 - Review Request: kpartsplugin - KParts technology to embed file viewers into non-KDE browsers
Review Request: kpartsplugin - KParts technology to embed file viewers into ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Magnus Tuominen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 14:05 EDT by Thomas Janssen
Modified: 2010-06-16 13:49 EDT (History)
4 users (show)

See Also:
Fixed In Version: kpartsplugin-0.0.1-0.2.20100521.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 13:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
magnus.tuominen: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Janssen 2010-05-21 14:05:50 EDT
Spec URL: http://thomasj.fedorapeople.org/reviews/kpartsplugin.spec
SRPM URL: http://thomasj.fedorapeople.org/reviews/kpartsplugin-0.0.1-0.1.20100521.fc12.src.rpm

Description: 
This software implements a plug-in for Netscape-compatible browsers in a Unix 
environment. This plug-in uses KDE's KParts technology to embed file viewers 
(e.g. for PDF files) into non-KDE browsers. Tested browsers include both 
Mozilla Firefox and Opera.
With this plug-in, you can e.g. view PDF files in Firefox using Okular as an 
embedded plug-in.

ScratchBuild: http://koji.fedoraproject.org/koji/taskinfo?taskID=2201898

rpmlint kpartsplugin.spec ../SRPMS/kpartsplugin-0.0.1-0.1.20100521.fc12.src.rpm ../RPMS/x86_64/kpartsplugin-*
kpartsplugin.src: W: spelling-error Summary(en_US) KParts -> K Parts, KP arts, KP-arts
kpartsplugin.x86_64: W: spelling-error Summary(en_US) KParts -> K Parts, KP arts, KP-arts
3 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Magnus Tuominen 2010-05-26 05:20:23 EDT
Hi Thomas.
This is my informal review:

####

* MUST: rpmlint must be run on every package. The output should be posted in the review.
- OK
- output:
kpartsplugin.i686: I: checking
kpartsplugin.i686: W: spelling-error Summary(en_US) KParts -> K Parts, KP arts, KP-arts
The value of this tag appears to be misspelled. Please double-check.

kpartsplugin.i686: I: checking-url http://kde-apps.org/content/show.php?content=125066 (timeout 10 seconds)
kpartsplugin.src: I: checking
kpartsplugin.src: W: spelling-error Summary(en_US) KParts -> K Parts, KP arts, KP-arts
The value of this tag appears to be misspelled. Please double-check.

kpartsplugin.src: I: checking-url http://kde-apps.org/content/show.php?content=125066 (timeout 10 seconds)
kpartsplugin.src: I: checking-url http://www.unix-ag.uni-kl.de/~fischer/kpartsplugin/kpartsplugin-20100521.tar.bz2 (timeout 10 seconds)
kpartsplugin-debuginfo.i686: I: checking
kpartsplugin-debuginfo.i686: I: checking-url http://kde-apps.org/content/show.php?content=125066 (timeout 10 seconds)
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

* MUST: The package must be named according to the Package Naming Guidelines.
- OK

* MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
- OK    

* MUST: The package must meet the Packaging Guidelines.
- OK

* MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
- OK: BSD

* MUST: The License field in the package spec file must match the actual license.
- NOT OK: License is GPLv3+ according to $homepage (GPL), and README.txt (GPLv3+).

* MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
- OK

* MUST: The spec file must be written in American English.
- OK

* MUST: The spec file for the package MUST be legible.
- OK
- Homepage should be http://www.unix-ag.uni-kl.de/~fischer/kpartsplugin/

* MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
- OK

* MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
- OK

* MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
- OK

* MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
- OK

* MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
- OK, no locales.

* MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
- OK, no shared libs.

* MUST: Packages must NOT bundle copies of system libraries.
- OK

* MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
- OK

* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
- NOT SURE

* MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
- OK

* MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
- OK

* MUST: Each package must consistently use macros.
- OK

* MUST: The package must contain code, or permissable content.
- OK

* MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
- OK

* MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
- OK

* MUST: Header files must be in a -devel package.
- OK

* MUST: Static libraries must be in a -static package.
- OK

* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
- OK

* MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
- OK

* MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
- OK

* MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
- OK

* MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
- NOT SURE:
- %files section has
%{_kde4_libdir}/nsbrowser
but I think
%{_kde4_libdir}/nsbrowser/plugins/libkpartsplugin.so
is more appropriate.

* MUST: All filenames in rpm packages must be valid UTF-8.
- OK


SHOULD Items:
Items marked as SHOULD are things that the package (or reviewer) SHOULD do, but is not required to do.

* SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
- OK

* SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
- OK

* SHOULD: The reviewer should test that the package builds in mock.
- OK

* SHOULD: The package should compile and build into binary rpms on all supported architectures.

* SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
- NOT OK, firefox did not find the plugin.
mock build fedora-13-x86_64.
However, firefox found the plugin after "cd /usr/lib64/mozilla/plugins/ && ln -s /usr/lib64/nsbrowser/plugins/libkpartsplugin.so"

* SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
- OK

* SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
- OK

* SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
- OK

* SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
- OK

* SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
Comment 2 Thomas Janssen 2010-05-26 16:32:16 EDT
Hi Magnus, thanks for the review!

> * MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines.
> - OK: BSD
> 
> * MUST: The License field in the package spec file must match the actual
> license.
> - NOT OK: License is GPLv3+ according to $homepage (GPL), and README.txt
> (GPLv3+).

Seems i confused two packages. FIXED

> * MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory.
> - NOT SURE

see below

> * MUST: Packages must not own files or directories already owned by other
> packages. The rule of thumb here is that the first package to be installed
> should own the files or directories that other packages may rely upon. This
> means, for example, that no package in Fedora should ever share ownership with
> any of the files or directories owned by the filesystem or man package. If you
> feel that you have a good reason to own a file or directory that another
> package owns, then please present that at package review time.
> - NOT SURE:
> - %files section has
> %{_kde4_libdir}/nsbrowser
> but I think
> %{_kde4_libdir}/nsbrowser/plugins/libkpartsplugin.so
> is more appropriate.
> * SHOULD: The reviewer should test that the package functions as described. A
> package should not segfault instead of running, for example.
> - NOT OK, firefox did not find the plugin.
> mock build fedora-13-x86_64.
> However, firefox found the plugin after "cd /usr/lib64/mozilla/plugins/ && ln
> -s /usr/lib64/nsbrowser/plugins/libkpartsplugin.so"

I changed the install path to ../mozilla/plugins/ and added mozilla-filesystem to requires for directory ownership. FIXED

Both oversights well spotted. Thank you.
Comment 4 Magnus Tuominen 2010-05-27 03:09:57 EDT
One more thing: 

%global preferred over %define
 
http://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

Other than that, looks good, works good.

Approved! :-)
Comment 5 Thomas Janssen 2010-05-27 09:43:21 EDT
Thanks for the review Magnus, will fix that in cvs.

New Package CVS Request
=======================
Package Name: kpartsplugin
Short Description: KParts technology to embed file viewers into non-KDE browsers
Owners: thomasj
Branches: F-12 F-13
InitialCC:
Comment 6 Dennis Gilmore 2010-05-27 18:48:53 EDT
CVS Done
Comment 7 Fedora Update System 2010-05-30 15:24:23 EDT
kpartsplugin-0.0.1-0.2.20100521.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kpartsplugin-0.0.1-0.2.20100521.fc13
Comment 8 Fedora Update System 2010-05-30 15:24:28 EDT
kpartsplugin-0.0.1-0.2.20100521.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kpartsplugin-0.0.1-0.2.20100521.fc12
Comment 9 Fedora Update System 2010-05-31 14:11:44 EDT
kpartsplugin-0.0.1-0.2.20100521.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpartsplugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kpartsplugin-0.0.1-0.2.20100521.fc12
Comment 10 Fedora Update System 2010-05-31 14:18:06 EDT
kpartsplugin-0.0.1-0.2.20100521.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kpartsplugin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kpartsplugin-0.0.1-0.2.20100521.fc13
Comment 11 Fedora Update System 2010-06-16 13:41:53 EDT
kpartsplugin-0.0.1-0.2.20100521.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2010-06-16 13:49:51 EDT
kpartsplugin-0.0.1-0.2.20100521.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.